#!/usr/bin/perl -w
#
use strict;
use warnings;

use Getopt::Long;
use VMware::VIM25Runtime;
use VMware::VILib;
use VMware::VIRuntime;

$Util::script_version = "1.0";

my %opts = (
                    datacenter => {
                       type => "=s",
                       help => "Datacenter name",
                       required => 1,
                       }
                    );

# read/validate options and connect to the server 
Opts::add_options(%opts);
Opts::parse();
Opts::validate();
Util::connect();

# find datacenter 
my $datacenter = Opts::get_option('datacenter');
my $datacenter_view = Vim::find_entity_view(view_type => 'Datacenter',
                                                                 filter => { name => $datacenter });

if (!$datacenter_view) {
                              die "Datacenter '" . $datacenter . "' not found\n";
                              }

my $counter = 1;

$counter = 1;
my $vm_views = Vim::find_entity_views(view_type => 'VirtualMachine',
                                                         begin_entity => $datacenter_view);
foreach my $vm_view (sort {$a->name cmp $b->name} @$vm_views) {
    my $filepath = $vm_view->summary->config->vmPathName;
    my $vm_name = $vm_view->name;
    print $filepath ."\n";
#    print $vm_name ."\n";
   
}
# disconnect from the server 
Util::disconnect(); 

sub Fail {
    my ($msg) = @_;
    Util::disconnect();
    die ($msg);
    exit ();
    } 
